KDE 4.9 PyKDE API Reference

- KDE's Python API

# CSSRuleList Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The CSSRuleList interface provides the abstraction of an ordered collection of CSS rules.

## Methods

| __init__ (self)
| __init__ (self, DOM.CSSRuleList other)
bool | isNull (self)
DOM.CSSRule | item (self, long index)
long | length (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSRuleList | other
| ) |  |  |

bool isNull | ( |  | self ) |

DOM.CSSRule item | ( | self, |
|  | long | index
| ) |  |  |

Used to retrieve a CSS rule by ordinal index. The order in this collection represents the order of the rules in the CSS style sheet.

Parameters:

  | index | Index into the collection

Returns:
  The style rule at the index position in the CSSRuleList , or null if that is not a valid index.

long length | ( |  | self ) |

The number of CSSRule s in the list. The range of valid child rule indices is 0 to length-1 inclusive.